#include<bits/stdc++.h>
using namespace std;
using ll = long long;
int n;

vector<int> solve(vector<int> A){
    map<int,int>cnt;
    vector<int>ans(n);
    int l=0;
    int r=n-1;
    for(int i=0;i<n;i++){
        if(cnt[A[i]]%2==0){
            ans[l]=i;
            l++;
            cnt[A[i]]++;
        }
        else{
            ans[r]=i;
            r--;
            cnt[A[i]]++;
        }
    }
    return ans;
}